using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;
using MileageTraker.Web.Attributes;

namespace MileageTraker.Web.Models
{
	public class City
	{
		[Key]
		[HiddenInput(DisplayValue = false)]
		public int CityId { get; set; }
		[Display(Name = "City Name")]
		[InputSize("medium")]
		[Required]
		[Remote("CityNameAvailable", "City", ErrorMessage = "City name already in use")]
		[FormatHint("Use correct capitalization")]
		public string Name { get; set; }
		[Required]
		public string County { get; set; }
	}
}